Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.bibledesktop.book.install
Class Msg

    java.lang.Object
      org.crosswire.common.util.MsgBase
          org.crosswire.bibledesktop.book.install.Msg

    final class Msg

extends MsgBase

Compile safe Msg resource settings.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`(package private) static Msg` | `AVAILABLE_BOOKS`
`(package private) static Msg` | `AVAILABLE_DESC`
`(package private) static Msg` | `BOOK_LOCKED`
`(package private) static Msg` | `BOOK_QUESTIONABLE`
`(package private) static Msg` | `BOOK_UNSUPPORTED`
`(package private) static Msg` | `CONFIRM_DELETE_BOOK`
`(package private) static Msg` | `CONFIRM_DELETE_SITE`
`(package private) static Msg` | `CONFIRM_DELETE_TITLE`
`(package private) static Msg` | `CONFIRM_UNINSTALL_BOOK`
`(package private) static Msg` | `CONFIRM_UNINSTALL_TITLE`
`(package private) static Msg` | `CONFIRMATION_TITLE`
`(package private) static Msg` | `DELETE_FAILED`
`(package private) static Msg` | `DELETE_SITE`
`(package private) static Msg` | `DIRECTORY`
`(package private) static Msg` | `DUPLICATE_SITE`
`(package private) static Msg` | `EDIT_SITE_TITLE`
`(package private) static Msg` | `HOST`
`(package private) static Msg` | `HOW_GENERATE`
`(package private) static Msg` | `HOW_GENERATE_TITLE`
`(package private) static Msg` | `HOW_MESSAGE`
`(package private) static Msg` | `HOW_MESSAGE_TITLE`
`(package private) static Msg` | `HOW_SITE`
`(package private) static Msg` | `HOW_SITE_TITLE`
`(package private) static Msg` | `INSTALLED`
`(package private) static Msg` | `INSTALLED_DESC`
`(package private) static Msg` | `KB_SIZE`
`(package private) static Msg` | `LOCAL_BOOKS`
`(package private) static Msg` | `MB_SIZE`
`(package private) static Msg` | `MISSING_SITE`
`(package private) static Msg` | `NO_SELECTED_SITE`
`(package private) static Msg` | `NO_SITE`
`(package private) static Msg` | `NONE_AVAILABLE_DESC`
`(package private) static Msg` | `OPTION_CANCEL`
`(package private) static Msg` | `OPTION_DOWNLOAD`
`(package private) static Msg` | `OPTION_GENERATE`
`(package private) static Msg` | `PROXY_HOST`
`(package private) static Msg` | `PROXY_PORT`
`(package private) static Msg` | `UNLOCK_BOOK`
`(package private) static Msg` | `UNLOCK_TITLE`

Constructor Summary
`private` | `Msg(String name)` Passthrough ctor

Method Summary

Methods inherited from class org.crosswire.common.util.MsgBase
`loadResources, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AVAILABLE_BOOKS

    static final Msg AVAILABLE_BOOKS

### LOCAL_BOOKS

    static final Msg LOCAL_BOOKS

### KB_SIZE

    static final Msg KB_SIZE

### MB_SIZE

    static final Msg MB_SIZE

### CONFIRMATION_TITLE

    static final Msg CONFIRMATION_TITLE

### INSTALLED

    static final Msg INSTALLED

### INSTALLED_DESC

    static final Msg INSTALLED_DESC

### DELETE_FAILED

    static final Msg DELETE_FAILED

### AVAILABLE_DESC

    static final Msg AVAILABLE_DESC

### NONE_AVAILABLE_DESC

    static final Msg NONE_AVAILABLE_DESC

### CONFIRM_DELETE_TITLE

    static final Msg CONFIRM_DELETE_TITLE

### CONFIRM_DELETE_BOOK

    static final Msg CONFIRM_DELETE_BOOK

### UNLOCK_TITLE

    static final Msg UNLOCK_TITLE

### UNLOCK_BOOK

    static final Msg UNLOCK_BOOK

### CONFIRM_UNINSTALL_TITLE

    static final Msg CONFIRM_UNINSTALL_TITLE

### CONFIRM_UNINSTALL_BOOK

    static final Msg CONFIRM_UNINSTALL_BOOK

### EDIT_SITE_TITLE

    static final Msg EDIT_SITE_TITLE

### MISSING_SITE

    static final Msg MISSING_SITE

### DUPLICATE_SITE

    static final Msg DUPLICATE_SITE

### NO_SELECTED_SITE

    static final Msg NO_SELECTED_SITE

### NO_SITE

    static final Msg NO_SITE

### CONFIRM_DELETE_SITE

    static final Msg CONFIRM_DELETE_SITE

### DELETE_SITE

    static final Msg DELETE_SITE

### HOW_MESSAGE_TITLE

    static final Msg HOW_MESSAGE_TITLE

### HOW_MESSAGE

    static final Msg HOW_MESSAGE

### HOW_GENERATE_TITLE

    static final Msg HOW_GENERATE_TITLE

### HOW_GENERATE

    static final Msg HOW_GENERATE

### HOW_SITE_TITLE

    static final Msg HOW_SITE_TITLE

### HOW_SITE

    static final Msg HOW_SITE

### OPTION_DOWNLOAD

    static final Msg OPTION_DOWNLOAD

### OPTION_GENERATE

    static final Msg OPTION_GENERATE

### OPTION_CANCEL

    static final Msg OPTION_CANCEL

### HOST

    static final Msg HOST

### DIRECTORY

    static final Msg DIRECTORY

### PROXY_HOST

    static final Msg PROXY_HOST

### PROXY_PORT

    static final Msg PROXY_PORT

### BOOK_LOCKED

    static final Msg BOOK_LOCKED

### BOOK_UNSUPPORTED

    static final Msg BOOK_UNSUPPORTED

### BOOK_QUESTIONABLE

    static final Msg BOOK_QUESTIONABLE

Constructor Detail

### Msg

    private Msg(String name)

  Passthrough ctor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD